Name:		duff
Version:	0.5.2
Release:	9%{?dist}
Summary:	Quickly find duplicate files

License:	zlib
URL:		http://duff.sourceforge.net/
Source0:	http://sourceforge.net/projects/%{name}/files/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch1:		duff-linking-to-shared-library-sha.patch
Patch2:		duff-remove-docs-of-sha.patch
BuildRequires:	sha-devel
BuildRequires:	autoconf
BuildRequires:	automake

%description
Duff is a command-line utility for quickly finding duplicates in a given set of
files


%prep
%setup -q
#Remove bundled sha and unnecessary files
rm -rf src/sha*
rm -rf autom4te.cache
rm -rf README.SHA
%patch1 -p1
%patch2 -p1

%build
autoreconf -fi
autoheader
CFLAGS="%{optflags} -I/usr/include/sha"
export CFLAGS
%configure \
	--disable-rpath
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} INSTALL="install -p" CP="cp -p" install
%find_lang %{name}
find %{buildroot} -name 'join-duplicates.sh' | xargs chmod 0755

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/duff
%dir %{_datadir}/duff
%{_datadir}/duff/join-duplicates.sh
%{_docdir}/duff
%{_mandir}/man1/duff.1*


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Dec 25 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.5.2-5
- Added %%{datadir}/duff to spec
- Remove non-existent tests 

* Thu Nov 01 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.5.2-4
- Remove bundled sha files
- Remove unnecessary buildroot
- Remove %%clean 
- Add patch for linking to shared libraries of sha 

* Sun Sep 16 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.5.2-3
- Remove rm -rf in section clean

* Sun Sep 16 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.5.2-2
- Remove glibc-devel of BuildRequires
- Remove autoconf, autoconf, libtool

* Sat Sep 15 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.5.2-1
- Initial packaging
